=== modified file 'bzrlib/builtins.py'
--- bzrlib/builtins.py	2010-01-24 01:38:30 +0000
+++ bzrlib/builtins.py	2010-01-31 14:29:50 +0000
@@ -1431,13 +1431,10 @@
                                   "bzr update --revision only works"
                                   " for a revision in the branch history"
                                   % (e.revision))
-        try:
-            revno = tree.branch.revision_id_to_revno(
-                _mod_revision.ensure_null(tree.last_revision()))
-            note('Updated to revision %d of branch %s' %
-                 (revno, branch_location))
-        except errors.NoSuchRevision, e:
-            note('Your tree is not up to date yet, rerun update after you commit')
+        revno = tree.branch.revision_id_to_revno(
+            _mod_revision.ensure_null(tree.last_revision()))
+        note('Updated to revision %d of branch %s' %
+             (revno, branch_location))
         if tree.get_parent_ids()[1:] != existing_pending_merges:
             note('Your local commits will now show as pending merges with '
                  "'bzr status', and can be committed with 'bzr commit'.")

=== modified file 'bzrlib/tests/blackbox/test_update.py'
--- bzrlib/tests/blackbox/test_update.py	2010-01-31 14:27:03 +0000
+++ bzrlib/tests/blackbox/test_update.py	2010-01-31 14:29:50 +0000
@@ -250,16 +250,14 @@
         self.build_tree(['./file2'])
         master.add(['file2'])
         master.commit('two', rev_id='m2')
-        
-        self.run_bzr('update -r 1')
 
-#        sr = ScriptRunner()
-#        sr.run_script(self, '''
-#$ bzr update -r 1
-#2>-D  file2
-#2>All changes applied successfully.
-#2>Updated to revision 1 of .../master
-#''')
+        sr = ScriptRunner()
+        sr.run_script(self, '''
+$ bzr update -r 1
+2>-D  file2
+2>All changes applied successfully.
+2>Updated to revision 1 of .../master
+''')
         self.failUnlessExists('./file1')
         self.failIfExists('./file2')
         self.assertEquals(['m1'], master.get_parent_ids())

